be.fgov.ehealth.standards.kmehr.schema.v1

## Class MemberinsuranceType

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.schema.v1.MemberinsuranceType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:52:04+02:00",
                 comments="JAXB RI v2.3.7")
      public class MemberinsuranceType
      extends Object
      implements Serializable

  Java class for memberinsuranceType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="memberinsuranceType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-INSURANCE"/>
               <element name="membership" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemberinsuranceType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDINSURANCE` | `getId()` Gets the value of the id property.
    `String` | `getMembership()` Gets the value of the membership property.
    `void` | `setId(IDINSURANCE value)` Sets the value of the id property.
    `void` | `setMembership(String value)` Sets the value of the membership property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MemberinsuranceType

          public MemberinsuranceType()

  - ### Method Detail

    - #### getId

          public IDINSURANCE getId()

      Gets the value of the id property.
      Returns:
        possible object is `IDINSURANCE`

    - #### setId

          public void setId(IDINSURANCE value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `IDINSURANCE`

    - #### getMembership

          public String getMembership()

      Gets the value of the membership property.
      Returns:
        possible object is `String`

    - #### setMembership

          public void setMembership(String value)

      Sets the value of the membership property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.